aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAhaan Ugale <augale@google.com>2021-07-13 22:21:53 +0000
committerGerrit Code Review <noreply-gerritcodereview@google.com>2021-07-13 22:21:53 +0000
commit203c72ee23bd0acaafdfb506e64c87e3aceac1cb (patch)
tree3f3253aaeb23af98909c44142eae293ab06e7b75
parent4b8d81b41c0d9eb324c3f2d704b849abb5d6c2fb (diff)
parent678f26c1e735d61bd0490de382a50ad63db4261e (diff)
downloadbuild-203c72ee23bd0acaafdfb506e64c87e3aceac1cb.tar.gz
Merge "Revert "Add the ability to source RBE related scripts from envsetup.sh""
-rw-r--r--envsetup.sh10
-rw-r--r--rbesetup.sh7
2 files changed, 2 insertions, 15 deletions
diff --git a/envsetup.sh b/envsetup.sh
index f9c458b764..4f9440e9fb 100644
--- a/envsetup.sh
+++ b/envsetup.sh
@@ -1871,16 +1871,6 @@ function showcommands() {
fi
}
-# Source necessary setup scripts needed to run the build with Remote Execution.
-function source_rbe() {
- local T=$(gettop)
-
- if [[ "x$USE_RBE" != "x" && "$USE_RBE" != "false" ]]; then
- . $T/make/rbesetup.sh --skip-envsetup
- fi
-}
-
validate_current_shell
source_vendorsetup
-source_rbe
addcompletions
diff --git a/rbesetup.sh b/rbesetup.sh
index 3b0e7cf7dc..ec39e6ef17 100644
--- a/rbesetup.sh
+++ b/rbesetup.sh
@@ -24,11 +24,8 @@ function _source_env_setup_script() {
}
# This function needs to run first as the remaining defining functions may be
-# using the envsetup.sh defined functions. Skip this part if this script is already
-# being invoked from envsetup.sh.
-if [[ "$1" != "--skip-envsetup" ]]; then
- _source_env_setup_script || return
-fi
+# using the envsetup.sh defined functions.
+_source_env_setup_script || return
# This function prefixes the given command with appropriate variables needed
# for the build to be executed with RBE.